angular.module('starter', [
  'ionic',
  'ngResource'
])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
  });  
})

.factory('$localstorage', ['$window', function($window) {
  return {
	set: function(key, value) {
	  $window.localStorage[key] = value;
	},
	get: function(key, defaultValue) {
	  return $window.localStorage[key] || defaultValue;
	},
	setObject: function(key, value) {
	  $window.localStorage[key] = JSON.stringify(value);
	},
	getObject: function(key) {
	  return JSON.parse($window.localStorage[key] || '{}');
	}
  }
}])  

.controller('sm',function($scope,$sce, $state, $localstorage,$interval) {
	var oneSignalID = 1;
	var loading = true;
	if( window.cordova) {
		document.addEventListener('deviceready', function () {
		  var notificationOpenedCallback = function(jsonData) {
			//alert(JSON.stringify(jsonData));
		  };
		  window.plugins.OneSignal.init("04f22177-366a-40dc-99cf-6d1342c4e1f5",
										 {googleProjectNumber: "633977981600"},
										 notificationOpenedCallback);
		  window.plugins.OneSignal.getIds(function(ids) {
		  	oneSignalID = ids.userId;
			loading = false;
			  
		  });			  		   	
		  window.plugins.OneSignal.enableInAppAlertNotification(false);
		}, false);
	}
	var interval;
	loading = false;
    interval = $interval(function() {
		if(!loading){
			var options = {
							toolbarColor: '#000000', // Background color of the toolbar in #RRGGBB
							toolbarHeight: '1',
							closeButtonText: '< Close',
							closeButtonSize: '25',
							closeButtonColor: '#000000',
							openHidden: false
						  };
		
			if( window.cordova && cordova.platformId === "android" ) {
				window.inAppBrowserXwalk.open("https://www.premiumdatingscript.com/smdemo/mobile.php?dID="+oneSignalID, options);
			}
			else {
				window.open("https://www.premiumdatingscript.com/smdemo/mobile.php?dID="+oneSignalID, "_self");
			}
			$interval.cancel(interval);
		}
     }, 1000);

})  